Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl.dialect.oracle
Class OracleDdlLexicon

    java.lang.Object
      org.modeshape.sequencer.ddl.StandardDdlLexicon
          org.modeshape.sequencer.ddl.dialect.oracle.OracleDdlLexicon

    public class OracleDdlLexicon

extends StandardDdlLexicon

Nested Class Summary
`static class` | `OracleDdlLexicon.Namespace`

Field Summary
`static String` | `AUTHID_VALUE`
`static String` | `BITMAP_INDEX`
`static String` | `COMMENT`
`static String` | `DEFAULT`
`static String` | `DEFAULT_EXPRESSION`
`static String` | `IN_OUT_NO_COPY`
`static String` | `TABLE_NAME`
`static String` | `TARGET_OBJECT_NAME`
`static String` | `TARGET_OBJECT_TYPE`
`static String` | `TYPE_ALTER_CLUSTER_STATEMENT`
`static String` | `TYPE_ALTER_DATABASE_STATEMENT`
`static String` | `TYPE_ALTER_DIMENSION_STATEMENT`
`static String` | `TYPE_ALTER_DIRECTORY_STATEMENT`
`static String` | `TYPE_ALTER_DISKGROUP_STATEMENT`
`static String` | `TYPE_ALTER_FUNCTION_STATEMENT`
`static String` | `TYPE_ALTER_INDEX_STATEMENT`
`static String` | `TYPE_ALTER_INDEXTYPE_STATEMENT`
`static String` | `TYPE_ALTER_JAVA_STATEMENT`
`static String` | `TYPE_ALTER_LIBRARY_STATEMENT`
`static String` | `TYPE_ALTER_MATERIALIZED_STATEMENT`
`static String` | `TYPE_ALTER_OPERATOR_STATEMENT`
`static String` | `TYPE_ALTER_OUTLINE_STATEMENT`
`static String` | `TYPE_ALTER_PACKAGE_STATEMENT`
`static String` | `TYPE_ALTER_PROCEDURE_STATEMENT`
`static String` | `TYPE_ALTER_PROFILE_STATEMENT`
`static String` | `TYPE_ALTER_RESOURCE_STATEMENT`
`static String` | `TYPE_ALTER_ROLE_STATEMENT`
`static String` | `TYPE_ALTER_ROLLBACK_STATEMENT`
`static String` | `TYPE_ALTER_SEQUENCE_STATEMENT`
`static String` | `TYPE_ALTER_SESSION_STATEMENT`
`static String` | `TYPE_ALTER_SYNONYM_STATEMENT`
`static String` | `TYPE_ALTER_SYSTEM_STATEMENT`
`static String` | `TYPE_ALTER_TABLESPACE_STATEMENT`
`static String` | `TYPE_ALTER_TRIGGER_STATEMENT`
`static String` | `TYPE_ALTER_TYPE_STATEMENT`
`static String` | `TYPE_ALTER_USER_STATEMENT`
`static String` | `TYPE_ALTER_VIEW_STATEMENT`
`static String` | `TYPE_ANALYZE_STATEMENT`
`static String` | `TYPE_ASSOCIATE_STATISTICS_STATEMENT`
`static String` | `TYPE_AUDIT_STATEMENT`
`static String` | `TYPE_BACKSLASH_TERMINATOR`
`static String` | `TYPE_COMMENT_ON_STATEMENT`
`static String` | `TYPE_COMMIT_STATEMENT`
`static String` | `TYPE_CREATE_CLUSTER_STATEMENT`
`static String` | `TYPE_CREATE_CONTEXT_STATEMENT`
`static String` | `TYPE_CREATE_CONTROLFILE_STATEMENT`
`static String` | `TYPE_CREATE_DATABASE_STATEMENT`
`static String` | `TYPE_CREATE_DIMENSION_STATEMENT`
`static String` | `TYPE_CREATE_DIRECTORY_STATEMENT`
`static String` | `TYPE_CREATE_DISKGROUP_STATEMENT`
`static String` | `TYPE_CREATE_FUNCTION_STATEMENT`
`static String` | `TYPE_CREATE_INDEX_STATEMENT`
`static String` | `TYPE_CREATE_INDEXTYPE_STATEMENT`
`static String` | `TYPE_CREATE_JAVA_STATEMENT`
`static String` | `TYPE_CREATE_LIBRARY_STATEMENT`
`static String` | `TYPE_CREATE_MATERIALIZED_VIEW_LOG_STATEMENT`
`static String` | `TYPE_CREATE_MATERIALIZED_VIEW_STATEMENT`
`static String` | `TYPE_CREATE_OPERATOR_STATEMENT`
`static String` | `TYPE_CREATE_OUTLINE_STATEMENT`
`static String` | `TYPE_CREATE_PACKAGE_STATEMENT`
`static String` | `TYPE_CREATE_PFILE_STATEMENT`
`static String` | `TYPE_CREATE_PROCEDURE_STATEMENT`
`static String` | `TYPE_CREATE_PROFILE_STATEMENT`
`static String` | `TYPE_CREATE_ROLE_STATEMENT`
`static String` | `TYPE_CREATE_ROLLBACK_STATEMENT`
`static String` | `TYPE_CREATE_SEQUENCE_STATEMENT`
`static String` | `TYPE_CREATE_SPFILE_STATEMENT`
`static String` | `TYPE_CREATE_SYNONYM_STATEMENT`
`static String` | `TYPE_CREATE_TABLESPACE_STATEMENT`
`static String` | `TYPE_CREATE_TRIGGER_STATEMENT`
`static String` | `TYPE_CREATE_TYPE_STATEMENT`
`static String` | `TYPE_CREATE_USER_STATEMENT`
`static String` | `TYPE_DISASSOCIATE_STATISTICS_STATEMENT`
`static String` | `TYPE_DROP_CLUSTER_STATEMENT`
`static String` | `TYPE_DROP_CONTEXT_STATEMENT`
`static String` | `TYPE_DROP_DATABASE_STATEMENT`
`static String` | `TYPE_DROP_DIMENSION_STATEMENT`
`static String` | `TYPE_DROP_DIRECTORY_STATEMENT`
`static String` | `TYPE_DROP_DISKGROUP_STATEMENT`
`static String` | `TYPE_DROP_FUNCTION_STATEMENT`
`static String` | `TYPE_DROP_INDEX_STATEMENT`
`static String` | `TYPE_DROP_INDEXTYPE_STATEMENT`
`static String` | `TYPE_DROP_JAVA_STATEMENT`
`static String` | `TYPE_DROP_LIBRARY_STATEMENT`
`static String` | `TYPE_DROP_MATERIALIZED_STATEMENT`
`static String` | `TYPE_DROP_OPERATOR_STATEMENT`
`static String` | `TYPE_DROP_OUTLINE_STATEMENT`
`static String` | `TYPE_DROP_PACKAGE_STATEMENT`
`static String` | `TYPE_DROP_PROCEDURE_STATEMENT`
`static String` | `TYPE_DROP_PROFILE_STATEMENT`
`static String` | `TYPE_DROP_ROLE_STATEMENT`
`static String` | `TYPE_DROP_ROLLBACK_STATEMENT`
`static String` | `TYPE_DROP_SEQUENCE_STATEMENT`
`static String` | `TYPE_DROP_SYNONYM_STATEMENT`
`static String` | `TYPE_DROP_TABLESPACE_STATEMENT`
`static String` | `TYPE_DROP_TRIGGER_STATEMENT`
`static String` | `TYPE_DROP_TYPE_STATEMENT`
`static String` | `TYPE_DROP_USER_STATEMENT`
`static String` | `TYPE_EXPLAIN_PLAN_STATEMENT`
`static String` | `TYPE_FLASHBACK_STATEMENT`
`static String` | `TYPE_FUNCTION_PARAMETER`
`static String` | `TYPE_LOCK_TABLE_STATEMENT`
`static String` | `TYPE_MERGE_STATEMENT`
`static String` | `TYPE_NOAUDIT_STATEMENT`
`static String` | `TYPE_PURGE_STATEMENT`
`static String` | `TYPE_RENAME_COLUMN`
`static String` | `TYPE_RENAME_CONSTRAINT`
`static String` | `TYPE_RENAME_STATEMENT`
`static String` | `TYPE_REVOKE_STATEMENT`
`static String` | `TYPE_ROLLBACK_STATEMENT`
`static String` | `TYPE_SAVEPOINT_STATEMENT`
`static String` | `TYPE_SET_CONSTRAINT_STATEMENT`
`static String` | `TYPE_SET_CONSTRAINTS_STATEMENT`
`static String` | `TYPE_SET_ROLE_STATEMENT`
`static String` | `TYPE_SET_TRANSACTION_STATEMENT`
`static String` | `TYPE_TRUNCATE_STATEMENT`
`static String` | `UNIQUE_INDEX`

Fields inherited from class org.modeshape.sequencer.ddl.StandardDdlLexicon
`ALL_PRIVILEGES, CHECK_SEARCH_CONDITION, COLLATION_CHARACTER_SET_NAME, COLLATION_NAME, COLLATION_SOURCE, COLUMN_ATTRIBUTE, CONSTRAINT_TYPE, CREATE_VIEW_OPTION_CLAUSE, CREATE_VIEW_QUERY_EXPRESSION, DATATYPE_LENGTH, DATATYPE_NAME, DATATYPE_PRECISION, DATATYPE_SCALE, DDL_EXPRESSION, DDL_LENGTH, DDL_ORIGINAL_EXPRESSION, DDL_PROBLEM, DDL_START_CHAR_INDEX, DDL_START_COLUMN_NUMBER, DDL_START_LINE_NUMBER, DEFAULT_ID_CURRENT_USER, DEFAULT_ID_DATETIME, DEFAULT_ID_LITERAL, DEFAULT_ID_NULL, DEFAULT_ID_SESSION_USER, DEFAULT_ID_SYSTEM_USER, DEFAULT_ID_USER, DEFAULT_OPTION, DEFAULT_PRECISION, DEFAULT_VALUE, DEFERRABLE, DROP_BEHAVIOR, DROP_OPTION, EXISTING_NAME, GRANT_PRIVILEGE, GRANTEE, MESSAGE, NEW_NAME, NULLABLE, ON_COMMIT_VALUE, OPTION, PAD_ATTRIBUTE, PAD_ATTRIBUTE_NO_PAD, PAD_ATTRIBUTE_PAD, PARSER_ID, PROBLEM_LEVEL, PROPERTY_VALUE, SOURCE_CHARACTER_SET_NAME, SQL, STATEMENTS_CONTAINER, TARGET_CHARACTER_SET_NAME, TEMPORARY, TYPE, TYPE_ADD_COLUMN_DEFINITION, TYPE_ADD_TABLE_CONSTRAINT_DEFINITION, TYPE_ALTER_COLUMN_DEFINITION, TYPE_ALTER_DOMAIN_STATEMENT, TYPE_ALTER_TABLE_STATEMENT, TYPE_ALTERABLE, TYPE_ASSERTION_OPERAND, TYPE_CHARACTER_SET_OPERAND, TYPE_CLAUSE, TYPE_COLLATION_OPERAND, TYPE_COLUMN_DEFINITION, TYPE_COLUMN_OPERAND, TYPE_COLUMN_REFERENCE, TYPE_CONSTRAINT_ATTRIBUTE, TYPE_CREATE_ASSERTION_STATEMENT, TYPE_CREATE_CHARACTER_SET_STATEMENT, TYPE_CREATE_COLLATION_STATEMENT, TYPE_CREATE_DOMAIN_STATEMENT, TYPE_CREATE_SCHEMA_STATEMENT, TYPE_CREATE_TABLE_STATEMENT, TYPE_CREATE_TRANSLATION_STATEMENT, TYPE_CREATE_VIEW_STATEMENT, TYPE_CREATEABLE, TYPE_DOMAIN_CONSTRAINT, TYPE_DOMAIN_OPERAND, TYPE_DROP_ASSERTION_STATEMENT, TYPE_DROP_CHARACTER_SET_STATEMENT, TYPE_DROP_COLLATION_STATEMENT, TYPE_DROP_COLUMN_DEFINITION, TYPE_DROP_DOMAIN_STATEMENT, TYPE_DROP_OPTION, TYPE_DROP_SCHEMA_STATEMENT, TYPE_DROP_TABLE_CONSTRAINT_DEFINITION, TYPE_DROP_TABLE_STATEMENT, TYPE_DROP_TRANSLATION_STATEMENT, TYPE_DROP_VIEW_STATEMENT, TYPE_DROPPABLE, TYPE_FK_COLUMN_REFERENCE, TYPE_GRANT_ON_CHARACTER_SET_STATEMENT, TYPE_GRANT_ON_COLLATION_STATEMENT, TYPE_GRANT_ON_DOMAIN_STATEMENT, TYPE_GRANT_ON_TABLE_STATEMENT, TYPE_GRANT_ON_TRANSLATION_STATEMENT, TYPE_GRANT_STATEMENT, TYPE_GRANTABLE, TYPE_INSERT_STATEMENT, TYPE_INSERTABLE, TYPE_MISSING_TERMINATOR, TYPE_OPERAND, TYPE_OPERATION, TYPE_PROBLEM, TYPE_REFERENCE_OPERAND, TYPE_REVOKABLE, TYPE_REVOKE_ON_CHARACTER_SET_STATEMENT, TYPE_REVOKE_ON_COLLATION_STATEMENT, TYPE_REVOKE_ON_DOMAIN_STATEMENT, TYPE_REVOKE_ON_TABLE_STATEMENT, TYPE_REVOKE_ON_TRANSLATION_STATEMENT, TYPE_SCHEMA_OPERAND, TYPE_SET_STATEMENT, TYPE_SETTABLE, TYPE_SIMPLE_PROPERTY, TYPE_STATEMENT, TYPE_STATEMENT_OPTION, TYPE_TABLE_CONSTRAINT, TYPE_TABLE_CONSTRAINT_OPERAND, TYPE_TABLE_OPERAND, TYPE_TABLE_REFERENCE, TYPE_TRANSLATION_OPERAND, TYPE_UNKNOWN_STATEMENT, TYPE_VIEW_OPERAND, VALUE, WITH_GRANT_OPTION`

Constructor Summary
`OracleDdlLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_BACKSLASH_TERMINATOR

    public static final String TYPE_BACKSLASH_TERMINATOR

See Also:
  Constant Field Values

### TYPE_CREATE_CLUSTER_STATEMENT

    public static final String TYPE_CREATE_CLUSTER_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_CONTEXT_STATEMENT

    public static final String TYPE_CREATE_CONTEXT_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_CONTROLFILE_STATEMENT

    public static final String TYPE_CREATE_CONTROLFILE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_DATABASE_STATEMENT

    public static final String TYPE_CREATE_DATABASE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_DIMENSION_STATEMENT

    public static final String TYPE_CREATE_DIMENSION_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_DIRECTORY_STATEMENT

    public static final String TYPE_CREATE_DIRECTORY_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_DISKGROUP_STATEMENT

    public static final String TYPE_CREATE_DISKGROUP_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_FUNCTION_STATEMENT

    public static final String TYPE_CREATE_FUNCTION_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_INDEX_STATEMENT

    public static final String TYPE_CREATE_INDEX_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_INDEXTYPE_STATEMENT

    public static final String TYPE_CREATE_INDEXTYPE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_JAVA_STATEMENT

    public static final String TYPE_CREATE_JAVA_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_LIBRARY_STATEMENT

    public static final String TYPE_CREATE_LIBRARY_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_MATERIALIZED_VIEW_STATEMENT

    public static final String TYPE_CREATE_MATERIALIZED_VIEW_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_MATERIALIZED_VIEW_LOG_STATEMENT

    public static final String TYPE_CREATE_MATERIALIZED_VIEW_LOG_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_OPERATOR_STATEMENT

    public static final String TYPE_CREATE_OPERATOR_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_OUTLINE_STATEMENT

    public static final String TYPE_CREATE_OUTLINE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_PACKAGE_STATEMENT

    public static final String TYPE_CREATE_PACKAGE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_PFILE_STATEMENT

    public static final String TYPE_CREATE_PFILE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_PROCEDURE_STATEMENT

    public static final String TYPE_CREATE_PROCEDURE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_PROFILE_STATEMENT

    public static final String TYPE_CREATE_PROFILE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_ROLE_STATEMENT

    public static final String TYPE_CREATE_ROLE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_ROLLBACK_STATEMENT

    public static final String TYPE_CREATE_ROLLBACK_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_SEQUENCE_STATEMENT

    public static final String TYPE_CREATE_SEQUENCE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_SPFILE_STATEMENT

    public static final String TYPE_CREATE_SPFILE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_SYNONYM_STATEMENT

    public static final String TYPE_CREATE_SYNONYM_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_TABLESPACE_STATEMENT

    public static final String TYPE_CREATE_TABLESPACE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_TRIGGER_STATEMENT

    public static final String TYPE_CREATE_TRIGGER_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_TYPE_STATEMENT

    public static final String TYPE_CREATE_TYPE_STATEMENT

See Also:
  Constant Field Values

### TYPE_CREATE_USER_STATEMENT

    public static final String TYPE_CREATE_USER_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_CLUSTER_STATEMENT

    public static final String TYPE_DROP_CLUSTER_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_CONTEXT_STATEMENT

    public static final String TYPE_DROP_CONTEXT_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_DATABASE_STATEMENT

    public static final String TYPE_DROP_DATABASE_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_DIMENSION_STATEMENT

    public static final String TYPE_DROP_DIMENSION_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_DIRECTORY_STATEMENT

    public static final String TYPE_DROP_DIRECTORY_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_DISKGROUP_STATEMENT

    public static final String TYPE_DROP_DISKGROUP_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_FUNCTION_STATEMENT

    public static final String TYPE_DROP_FUNCTION_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_INDEX_STATEMENT

    public static final String TYPE_DROP_INDEX_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_INDEXTYPE_STATEMENT

    public static final String TYPE_DROP_INDEXTYPE_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_JAVA_STATEMENT

    public static final String TYPE_DROP_JAVA_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_LIBRARY_STATEMENT

    public static final String TYPE_DROP_LIBRARY_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_MATERIALIZED_STATEMENT

    public static final String TYPE_DROP_MATERIALIZED_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_OPERATOR_STATEMENT

    public static final String TYPE_DROP_OPERATOR_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_OUTLINE_STATEMENT

    public static final String TYPE_DROP_OUTLINE_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_PACKAGE_STATEMENT

    public static final String TYPE_DROP_PACKAGE_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_PROCEDURE_STATEMENT

    public static final String TYPE_DROP_PROCEDURE_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_PROFILE_STATEMENT

    public static final String TYPE_DROP_PROFILE_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_ROLE_STATEMENT

    public static final String TYPE_DROP_ROLE_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_ROLLBACK_STATEMENT

    public static final String TYPE_DROP_ROLLBACK_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_SEQUENCE_STATEMENT

    public static final String TYPE_DROP_SEQUENCE_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_SYNONYM_STATEMENT

    public static final String TYPE_DROP_SYNONYM_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_TABLESPACE_STATEMENT

    public static final String TYPE_DROP_TABLESPACE_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_TRIGGER_STATEMENT

    public static final String TYPE_DROP_TRIGGER_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_TYPE_STATEMENT

    public static final String TYPE_DROP_TYPE_STATEMENT

See Also:
  Constant Field Values

### TYPE_DROP_USER_STATEMENT

    public static final String TYPE_DROP_USER_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_CLUSTER_STATEMENT

    public static final String TYPE_ALTER_CLUSTER_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_DATABASE_STATEMENT

    public static final String TYPE_ALTER_DATABASE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_DIMENSION_STATEMENT

    public static final String TYPE_ALTER_DIMENSION_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_DIRECTORY_STATEMENT

    public static final String TYPE_ALTER_DIRECTORY_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_DISKGROUP_STATEMENT

    public static final String TYPE_ALTER_DISKGROUP_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_FUNCTION_STATEMENT

    public static final String TYPE_ALTER_FUNCTION_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_INDEX_STATEMENT

    public static final String TYPE_ALTER_INDEX_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_INDEXTYPE_STATEMENT

    public static final String TYPE_ALTER_INDEXTYPE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_JAVA_STATEMENT

    public static final String TYPE_ALTER_JAVA_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_LIBRARY_STATEMENT

    public static final String TYPE_ALTER_LIBRARY_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_MATERIALIZED_STATEMENT

    public static final String TYPE_ALTER_MATERIALIZED_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_OPERATOR_STATEMENT

    public static final String TYPE_ALTER_OPERATOR_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_OUTLINE_STATEMENT

    public static final String TYPE_ALTER_OUTLINE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_PACKAGE_STATEMENT

    public static final String TYPE_ALTER_PACKAGE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_PROCEDURE_STATEMENT

    public static final String TYPE_ALTER_PROCEDURE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_PROFILE_STATEMENT

    public static final String TYPE_ALTER_PROFILE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_RESOURCE_STATEMENT

    public static final String TYPE_ALTER_RESOURCE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_ROLE_STATEMENT

    public static final String TYPE_ALTER_ROLE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_ROLLBACK_STATEMENT

    public static final String TYPE_ALTER_ROLLBACK_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_SEQUENCE_STATEMENT

    public static final String TYPE_ALTER_SEQUENCE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_SESSION_STATEMENT

    public static final String TYPE_ALTER_SESSION_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_SYNONYM_STATEMENT

    public static final String TYPE_ALTER_SYNONYM_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_SYSTEM_STATEMENT

    public static final String TYPE_ALTER_SYSTEM_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_TABLESPACE_STATEMENT

    public static final String TYPE_ALTER_TABLESPACE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_TRIGGER_STATEMENT

    public static final String TYPE_ALTER_TRIGGER_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_TYPE_STATEMENT

    public static final String TYPE_ALTER_TYPE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_USER_STATEMENT

    public static final String TYPE_ALTER_USER_STATEMENT

See Also:
  Constant Field Values

### TYPE_ALTER_VIEW_STATEMENT

    public static final String TYPE_ALTER_VIEW_STATEMENT

See Also:
  Constant Field Values

### TYPE_ANALYZE_STATEMENT

    public static final String TYPE_ANALYZE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ASSOCIATE_STATISTICS_STATEMENT

    public static final String TYPE_ASSOCIATE_STATISTICS_STATEMENT

See Also:
  Constant Field Values

### TYPE_AUDIT_STATEMENT

    public static final String TYPE_AUDIT_STATEMENT

See Also:
  Constant Field Values

### TYPE_COMMIT_STATEMENT

    public static final String TYPE_COMMIT_STATEMENT

See Also:
  Constant Field Values

### TYPE_COMMENT_ON_STATEMENT

    public static final String TYPE_COMMENT_ON_STATEMENT

See Also:
  Constant Field Values

### TYPE_DISASSOCIATE_STATISTICS_STATEMENT

    public static final String TYPE_DISASSOCIATE_STATISTICS_STATEMENT

See Also:
  Constant Field Values

### TYPE_EXPLAIN_PLAN_STATEMENT

    public static final String TYPE_EXPLAIN_PLAN_STATEMENT

See Also:
  Constant Field Values

### TYPE_FLASHBACK_STATEMENT

    public static final String TYPE_FLASHBACK_STATEMENT

See Also:
  Constant Field Values

### TYPE_LOCK_TABLE_STATEMENT

    public static final String TYPE_LOCK_TABLE_STATEMENT

See Also:
  Constant Field Values

### TYPE_MERGE_STATEMENT

    public static final String TYPE_MERGE_STATEMENT

See Also:
  Constant Field Values

### TYPE_NOAUDIT_STATEMENT

    public static final String TYPE_NOAUDIT_STATEMENT

See Also:
  Constant Field Values

### TYPE_PURGE_STATEMENT

    public static final String TYPE_PURGE_STATEMENT

See Also:
  Constant Field Values

### TYPE_RENAME_STATEMENT

    public static final String TYPE_RENAME_STATEMENT

See Also:
  Constant Field Values

### TYPE_REVOKE_STATEMENT

    public static final String TYPE_REVOKE_STATEMENT

See Also:
  Constant Field Values

### TYPE_ROLLBACK_STATEMENT

    public static final String TYPE_ROLLBACK_STATEMENT

See Also:
  Constant Field Values

### TYPE_SAVEPOINT_STATEMENT

    public static final String TYPE_SAVEPOINT_STATEMENT

See Also:
  Constant Field Values

### TYPE_SET_CONSTRAINT_STATEMENT

    public static final String TYPE_SET_CONSTRAINT_STATEMENT

See Also:
  Constant Field Values

### TYPE_SET_CONSTRAINTS_STATEMENT

    public static final String TYPE_SET_CONSTRAINTS_STATEMENT

See Also:
  Constant Field Values

### TYPE_SET_ROLE_STATEMENT

    public static final String TYPE_SET_ROLE_STATEMENT

See Also:
  Constant Field Values

### TYPE_SET_TRANSACTION_STATEMENT

    public static final String TYPE_SET_TRANSACTION_STATEMENT

See Also:
  Constant Field Values

### TYPE_TRUNCATE_STATEMENT

    public static final String TYPE_TRUNCATE_STATEMENT

See Also:
  Constant Field Values

### TYPE_RENAME_COLUMN

    public static final String TYPE_RENAME_COLUMN

See Also:
  Constant Field Values

### TYPE_RENAME_CONSTRAINT

    public static final String TYPE_RENAME_CONSTRAINT

See Also:
  Constant Field Values

### TYPE_FUNCTION_PARAMETER

    public static final String TYPE_FUNCTION_PARAMETER

See Also:
  Constant Field Values

### TARGET_OBJECT_TYPE

    public static final String TARGET_OBJECT_TYPE

See Also:
  Constant Field Values

### TARGET_OBJECT_NAME

    public static final String TARGET_OBJECT_NAME

See Also:
  Constant Field Values

### COMMENT

    public static final String COMMENT

See Also:
  Constant Field Values

### UNIQUE_INDEX

    public static final String UNIQUE_INDEX

See Also:
  Constant Field Values

### BITMAP_INDEX

    public static final String BITMAP_INDEX

See Also:
  Constant Field Values

### TABLE_NAME

    public static final String TABLE_NAME

See Also:
  Constant Field Values

### DEFAULT

    public static final String DEFAULT

See Also:
  Constant Field Values

### DEFAULT_EXPRESSION

    public static final String DEFAULT_EXPRESSION

See Also:
  Constant Field Values

### IN_OUT_NO_COPY

    public static final String IN_OUT_NO_COPY

See Also:
  Constant Field Values

### AUTHID_VALUE

    public static final String AUTHID_VALUE

See Also:
  Constant Field Values

Constructor Detail

### OracleDdlLexicon

    public OracleDdlLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.